package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校考生考核方式总体对象 a_enroll_university
 * 
 * @author voluntary
 * @date 2023-12-06
 */
public class AEnrollUniversity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 院校名称 */
    @Excel(name = "院校名称")
    private String universityName;

    /** 录取公式 */
    @Excel(name = "录取公式")
    private String enrollFormula;

    /** 专业组 */
    @Excel(name = "专业组")
    private String majorGroups;

    /** 专业类别 */
    @Excel(name = "专业类别")
    private String majorNames;

    /** 考生类别 */
    @Excel(name = "考生类别")
    private String examineeTypes;

    /** 政策变化 */
    @Excel(name = "政策变化")
    private Integer typeChange;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setUniversityId(Long universityId) 
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }
    public void setEnrollFormula(String enrollFormula) 
    {
        this.enrollFormula = enrollFormula;
    }

    public String getEnrollFormula() 
    {
        return enrollFormula;
    }
    public void setMajorGroups(String majorGroups) 
    {
        this.majorGroups = majorGroups;
    }

    public String getMajorGroups() 
    {
        return majorGroups;
    }
    public void setMajorNames(String majorNames) 
    {
        this.majorNames = majorNames;
    }

    public String getMajorNames() 
    {
        return majorNames;
    }
    public void setExamineeTypes(String examineeTypes) 
    {
        this.examineeTypes = examineeTypes;
    }

    public String getExamineeTypes() 
    {
        return examineeTypes;
    }
    public void setTypeChange(Integer typeChange) 
    {
        this.typeChange = typeChange;
    }

    public Integer getTypeChange()
    {
        return typeChange;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("enrollFormula", getEnrollFormula())
            .append("majorGroups", getMajorGroups())
            .append("majorNames", getMajorNames())
            .append("examineeTypes", getExamineeTypes())
            .append("typeChange", getTypeChange())
            .toString();
    }
}
